PETSc version 3.15.5
Fix/Edit manual page

# VecRestoreArrayRead

Restore array obtained with VecGetArrayRead()

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecRestoreArrayRead(Vec x,const PetscScalar **a)

Not Collective

### Input Parameters

| vec | - the vector
| array | - the array

### See Also

VecGetArray(), VecRestoreArray(), VecGetArrayPair(), VecRestoreArrayPair()

### Level

beginner

### Location

src/vec/vec/interface/rvector.c

### Examples

src/vec/vec/tutorials/ex10.c.html
src/vec/is/sf/tutorials/ex2.c.html
src/mat/tutorials/ex12.c.html
src/dm/impls/plex/tutorials/ex6.c.html
src/dm/tutorials/swarm_ex3.c.html
src/dm/field/tutorials/ex1.c.html
src/ksp/ksp/tutorials/ex10.c.html
src/ksp/ksp/tutorials/ex70.c.html
src/ksp/ksp/tutorials/ex71.c.html
src/ksp/ksp/tutorials/ex73.c.html
src/snes/tutorials/ex1.c.html

### Implementations

VecRestoreArrayRead_Nest in src/vec/vec/impls/nest/vecnest.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages